Plot Config problems

Discussion in 'AutoCAD' started by Dragnsbld, Jul 23, 2004.

  1. Dragnsbld

    Dragnsbld Guest

    I have a plot config setup:
    Set objPLConf = ThisDrawing.PlotConfigurations.Add("AUTOPLOT")

    objPLConf.ConfigName = "\\print1\22-hp5000n"
    objPLConf.CanonicalMediaName = "11X17"
    objPLConf.StandardScale = acScaleToFit
    objPLConf.PlotType = acExtents
    objPLConf.StyleSheet = "MakeReady-2.ctb"
    objPLConf.CenterPlot = True
    objPLConf.PaperUnits = acInches
    objPLConf.PlotHidden = False

    ThisDrawing.ActiveLayout.CopyFrom objPLConf

    when I run it I get the plot but the plot is not centered is there a way around this problem or is it my code?
    I also tried to set the origin and I get even more funky results.
     
    Dragnsbld, Jul 23, 2004
    #1
  2. Dragnsbld

    TomD Guest

    Have you tried manually making a correctly functioning PageSetup, then
    checking all of the properties of it, just to compare them?

    around this problem or is it my code?
     
    TomD, Jul 23, 2004
    #2
  3. Dragnsbld

    Dragnsbld Guest

    Yes. I finally had to do a send command and run through the 'Detailed Plot Configuration' leaving everything the same.
     
    Dragnsbld, Jul 23, 2004
    #3
  4. Dragnsbld

    TomD Guest

    Ewww. Sorry to hear that.

    Configuration' leaving everything the same.
     
    TomD, Jul 23, 2004
    #4
  5. You need to refresh the plot config and regen the layout if you are setting
    it to plot centered

    Wth ThisDrawing.ActveLayout
    .CopyFrom objPLConf
    .RefreshPlotConfig
    End With
    ThisDrawing.Regen acAllViewports

    -- Mike
    ___________________________
    Mike Tuersley
    CADalyst's CAD Clinic
    Rand IMAGINiT Technologies
    ___________________________
    the trick is to realize that there is no spoon...
     
    Mike Tuersley, Jul 23, 2004
    #5
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.